From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 13 Mar 2024 10:33:42 +0100
Subject: Do not obsolete imp.load_source

---
 setup.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/setup.py b/setup.py
index 127dbd5..10b1c97 100644
--- a/setup.py
+++ b/setup.py
@@ -1,12 +1,11 @@
-import imp
 import io
 from os import path
 
 from setuptools import find_packages, setup
 
-VERSION = imp.load_source('version', path.join('.', 'token_bucket', 'version.py'))
-VERSION = VERSION.__version__
+from token_bucket import version
 
+VERSION = version.__version__
 
 setup(
     name='token_bucket',
